%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __os_install_post %{_mingw32_debug_install_post}

Name:           mingw-gstreamer
Version:        0.10.35
Release:        2%{?dist}
Summary:        MinGW Windows Streaming-Media Framework Runtime

License:        LGPLv2+
URL:            http://gstreamer.freedesktop.org/
Source0:        http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-%{version}.tar.bz2
Group:          Development/Libraries

BuildArch:      noarch

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-libxml2
BuildRequires:  bison flex
# use native glib-genmarshal and glib-mkenums
BuildRequires:  glib2-devel


%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package  -n mingw32-gstreamer
Summary:        MinGW Windows Streaming-Media Framework Runtime

%description -n mingw32-gstreamer
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.


%{?_mingw32_debug_package}


%prep
%setup -q -n gstreamer-%{version}


%build
%{_mingw32_configure} \
    --enable-shared --disable-static --disable-examples \
    --disable-tests --disable-failing-tests
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gstreamer-0.10/*.dll.a
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gstreamer-0.10/*.la
rm -fr $RPM_BUILD_ROOT%{_mingw32_datadir}/gtk-doc
rm -f $RPM_BUILD_ROOT%{_mingw32_mandir}/man1/gst*
rm -f $RPM_BUILD_ROOT%{_mingw32_datadir}/aclocal/gst-element-check-0.10.m4


%find_lang gstreamer-0.10

%files -n mingw32-gstreamer -f gstreamer-0.10.lang
%doc COPYING
%dir %{_mingw32_libdir}/gstreamer-0.10
%{_mingw32_libdir}/gstreamer-0.10/libgstcoreelements.dll
%{_mingw32_libdir}/gstreamer-0.10/libgstcoreindexers.dll

%dir %{_mingw32_includedir}/gstreamer-0.10
%{_mingw32_includedir}/gstreamer-0.10/gst

%dir %{_mingw32_libexecdir}/gstreamer-0.10
%{_mingw32_libexecdir}/gstreamer-0.10/gst-plugin-scanner.exe

%{_mingw32_libdir}/libgstbase-0.10.dll.a
%{_mingw32_libdir}/libgstcontroller-0.10.dll.a
%{_mingw32_libdir}/libgstdataprotocol-0.10.dll.a
%{_mingw32_libdir}/libgstnet-0.10.dll.a
%{_mingw32_libdir}/libgstreamer-0.10.dll.a

%{_mingw32_libdir}/libgstbase-0.10.la
%{_mingw32_libdir}/libgstcontroller-0.10.la
%{_mingw32_libdir}/libgstdataprotocol-0.10.la
%{_mingw32_libdir}/libgstnet-0.10.la
%{_mingw32_libdir}/libgstreamer-0.10.la

%{_mingw32_libdir}/pkgconfig/gstreamer-0.10.pc
%{_mingw32_libdir}/pkgconfig/gstreamer-base-0.10.pc
%{_mingw32_libdir}/pkgconfig/gstreamer-controller-0.10.pc
%{_mingw32_libdir}/pkgconfig/gstreamer-dataprotocol-0.10.pc
%{_mingw32_libdir}/pkgconfig/gstreamer-net-0.10.pc

%{_mingw32_bindir}/gst-feedback.exe
%{_mingw32_bindir}/gst-inspect.exe
%{_mingw32_bindir}/gst-launch.exe
%{_mingw32_bindir}/gst-xmlinspect.exe
%{_mingw32_bindir}/gst-xmllaunch.exe
%{_mingw32_bindir}/gst-typefind.exe
%{_mingw32_bindir}/gst-feedback-0.10
%{_mingw32_bindir}/gst-inspect-0.10.exe
%{_mingw32_bindir}/gst-launch-0.10.exe
%{_mingw32_bindir}/gst-xmlinspect-0.10.exe
%{_mingw32_bindir}/gst-xmllaunch-0.10.exe
%{_mingw32_bindir}/gst-typefind-0.10.exe

%{_mingw32_bindir}/libgstbase-0.10-0.dll
%{_mingw32_bindir}/libgstcontroller-0.10-0.dll
%{_mingw32_bindir}/libgstdataprotocol-0.10-0.dll
%{_mingw32_bindir}/libgstnet-0.10-0.dll
%{_mingw32_bindir}/libgstreamer-0.10-0.dll


%changelog
* Sat Jul 16 2011 Paweł Forysiuk <tuxator@o2.pl> - 0.10.35-2
- Remove no longer needed rpm macros from spec file

* Sat Jul 16 2011 Paweł Forysiuk <tuxator@o2.pl> - 0.10.35-1
- Update to new upstream version 0.10.35

* Fri May 13 2011 Paweł Forysiuk <tuxator@o2.pl> - 0.10.32-1
- Initial packaging, basing on OpenSUSE's mingw32-gstreamer
